package com.gree.mall.miniapp.commonmapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.gree.mall.miniapp.bean.user.MyProfitBean;
import com.gree.mall.miniapp.bean.user.RankItemBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Mapper
public interface OrderShareRankMapper {

    @SqlParser(filter = true)
    List<RankItemBean> queryRankList(@Param("userId") String userId,
                                     @Param("startTime") Date startTime,
                                     @Param("endTime") Date endTime,
                                     @Param("companyWechatId") String companyWechatId);

    @SqlParser(filter = true)
    RankItemBean queryWorkerInfo(@Param("userId") String userId,@Param("companyWechatId") String companyWechatId);


}
